# This file created by conda-build 3.19.2
# meta.yaml template originally from:
# D:\a\1\s\recipe, last modified Tue May  5 06:11:40 2020
# ------------------------------------------------

package:
    name: r-rpref
    version: '1.3'
source:
    sha256: de285d93cd979fcbec5f372303de64d06c8e8611dc495d02e0cf74e160879f6e
    url:
        - https://cran.r-project.org/src/contrib/Archive/rPref/rPref_1.3.tar.gz
        - https://cran.r-project.org/src/contrib/rPref_1.3.tar.gz
build:
    merge_build_host: true
    number: '2'
    rpaths:
        - lib/
        - lib/R/lib/
    string: r36h796a38f_2
requirements:
    build:
        - m2-bash 4.3.042 5
        - m2-coreutils 8.25 102
        - m2-filesystem 2016.04 4
        - m2-gcc-libs 5.3.0 4
        - m2-gmp 6.1.0 3
        - m2-libbz2 1.0.6 3
        - m2-libiconv 1.14 3
        - m2-libintl 0.19.7 4
        - m2-make 4.1 5
        - m2-msys2-runtime 2.5.0.17080.65c939c 3
        - m2-sed 4.2.2 3
        - m2-zip 3.0 2
        - m2w64-binutils 2.25.1 5
        - m2w64-bzip2 1.0.6 6
        - m2w64-crt-git 5.0.0.4636.2595836 2
        - m2w64-gcc 5.3.0 6
        - m2w64-gcc-ada 5.3.0 6
        - m2w64-gcc-fortran 5.3.0 6
        - m2w64-gcc-libgfortran 5.3.0 6
        - m2w64-gcc-libs 5.3.0 7
        - m2w64-gcc-libs-core 5.3.0 7
        - m2w64-gcc-objc 5.3.0 6
        - m2w64-gmp 6.1.0 2
        - m2w64-headers-git 5.0.0.4636.c0ad18a 2
        - m2w64-isl 0.16.1 2
        - m2w64-libiconv 1.14 6
        - m2w64-libmangle-git 5.0.0.4509.2e5a9a2 2
        - m2w64-libwinpthread-git 5.0.0.4634.697f757 2
        - m2w64-make 4.1.2351.a80a8b8 2
        - m2w64-mpc 1.0.3 3
        - m2w64-mpfr 3.1.4 4
        - m2w64-pkg-config 0.29.1 2
        - m2w64-toolchain 5.3.0 7
        - m2w64-toolchain_win-64 2.4.0 0
        - m2w64-tools-git 5.0.0.4592.90b8472 2
        - m2w64-windows-default-manifest 6.4 3
        - m2w64-winpthreads-git 5.0.0.4634.697f757 2
        - m2w64-zlib 1.2.8 10
        - msys2-conda-epoch 20160418 1
    host:
        - _r-mutex 1.0.1 anacondar_1
        - intel-openmp 2020.0 166
        - libblas 3.8.0 15_mkl
        - libiconv 1.15 hfa6e2cd_1006
        - liblapack 3.8.0 15_mkl
        - libxml2 2.9.10 h9ce36c8_0
        - m2w64-bwidget 1.9.10 2
        - m2w64-bzip2 1.0.6 6
        - m2w64-expat 2.1.1 2
        - m2w64-fftw 3.3.4 6
        - m2w64-flac 1.3.1 3
        - m2w64-gcc-libgfortran 5.3.0 6
        - m2w64-gcc-libs 5.3.0 7
        - m2w64-gcc-libs-core 5.3.0 7
        - m2w64-gettext 0.19.7 2
        - m2w64-gmp 6.1.0 2
        - m2w64-gsl 2.1 2
        - m2w64-libiconv 1.14 6
        - m2w64-libjpeg-turbo 1.4.2 3
        - m2w64-libogg 1.3.2 3
        - m2w64-libpng 1.6.21 2
        - m2w64-libsndfile 1.0.26 2
        - m2w64-libtiff 4.0.6 2
        - m2w64-libvorbis 1.3.5 2
        - m2w64-libwinpthread-git 5.0.0.4634.697f757 2
        - m2w64-libxml2 2.9.3 4
        - m2w64-mpfr 3.1.4 4
        - m2w64-pcre 8.38 2
        - m2w64-speex 1.2rc2 3
        - m2w64-speexdsp 1.2rc3 3
        - m2w64-tcl 8.6.5 3
        - m2w64-tk 8.6.5 3
        - m2w64-tktable 2.10 5
        - m2w64-wineditline 2.101 5
        - m2w64-xz 5.2.2 2
        - m2w64-zlib 1.2.8 10
        - mkl 2020.0 166
        - msys2-conda-epoch 20160418 1
        - r-assertthat 0.2.1 r36h6115d3f_2
        - r-backports 1.1.6 r36hda5aaf8_2
        - r-base 3.6.3 hf0ea6f9_2
        - r-cli 2.0.2 r36h6115d3f_1
        - r-crayon 1.3.4 r36h6115d3f_1003
        - r-digest 0.6.25 r36h796a38f_2
        - r-dplyr 0.8.5 r36h796a38f_1
        - r-ellipsis 0.3.0 r36hda5aaf8_1
        - r-fansi 0.4.1 r36hda5aaf8_1
        - r-glue 1.4.0 r36hda5aaf8_1
        - r-igraph 1.2.5 r36h7f2dcbc_1
        - r-lattice 0.20_41 r36hda5aaf8_2
        - r-lazyeval 0.2.2 r36hda5aaf8_2
        - r-lifecycle 0.2.0 r36h6115d3f_1
        - r-magrittr 1.5 r36h6115d3f_1003
        - r-matrix 1.2_18 r36h0adb578_3
        - r-pillar 1.4.3 r36h6115d3f_1
        - r-pkgconfig 2.0.3 r36h6115d3f_1
        - r-plogr 0.2.0 r36h6115d3f_1003
        - r-purrr 0.3.4 r36hda5aaf8_1
        - r-r6 2.4.1 r36h6115d3f_1
        - r-rcpp 1.0.4.6 r36h796a38f_1
        - r-rcppparallel 5.0.0 r36h796a38f_1
        - r-rlang 0.4.6 r36hda5aaf8_0
        - r-tibble 3.0.1 r36hda5aaf8_1
        - r-tidyselect 1.0.0 r36h6115d3f_1
        - r-utf8 1.1.4 r36hda5aaf8_1003
        - r-vctrs 0.2.4 r36hda5aaf8_1
        - r-zeallot 0.1.0 r36h6115d3f_1002
        - vc 14.1 h869be7e_1
        - vs2015_runtime 14.16.27012 h30e32a0_2
        - zlib 1.2.11 h2fa13f4_1006
    run:
        - m2w64-gcc-libs
        - r-base >=3.6,<3.7.0a0
        - r-dplyr >=0.8.0
        - r-igraph >=1.0.1
        - r-lazyeval >=0.2.1
        - r-rcpp >=1.0.0
        - r-rcppparallel >=4.3.6
test:
    commands:
        - '"%R%" -e "library(''rPref'')"'
about:
    home: https://www.p-roocks.de/rpref
    license: GPL (>= 2)
    license_family: GPL3
    license_file: D:\bld\r-rpref_1588659253120\_h_env/lib/R/share/licenses/GPL-2
    summary: "Routines to select and visualize the maxima for a given strict partial\
        \ order. This especially includes the computation of the Pareto frontier,\
        \ also known as (Top-k) Skyline operator (see B\xF6rzs\xF6nyi, et al.  (2001)\
        \ <doi:10.1109/ICDE.2001.914855>), and some generalizations  known as database\
        \ preferences (see Kie\xDFling (2002)  <doi:10.1016/B978-155860869-6/50035-4>)."
extra:
    copy_test_source_files: true
    final: true
    recipe-maintainers:
        - conda-forge/r
